//
// Created by robtor on 05.01.23.
//

#ifndef FLOATPUMP_MENU_ENTRY_TYPE_PERCENT_H
#define FLOATPUMP_MENU_ENTRY_TYPE_PERCENT_H

#include "Menu_Entry_Type_Delegate.h"

namespace floatpump {
    namespace menu {


        class Menu_Entry_Type_Percent : public floatpump::menu::Menu_Entry_Type_Delegate{
        public:
            Menu_Entry_Type_Percent(uint8_t val) : m_value(val) {};

            std::string toString() override;

            void u_press() override;

            void u_increase(uint16_t steps) override;

            void u_decrease(uint16_t steps) override;

            bool isEntered() override;

        private:
            uint8_t m_value = 0;
            bool m_entered = false;
        };

    } //menu
} //floatpump




#endif //FLOATPUMP_MENU_ENTRY_TYPE_PERCENT_H
