//
// Created by robtor on 05.01.23.
//

#ifndef FLOATPUMP_MENU_ENTRY_TYPE_TIME_H
#define FLOATPUMP_MENU_ENTRY_TYPE_TIME_H

#include "Menu_Entry_Type_Delegate.h"

namespace floatpump {
    namespace menu {

        class Menu_Entry_Type_Time : public Menu_Entry_Type_Delegate{
        public:
            Menu_Entry_Type_Time(uint8_t hour, uint8_t minute, uint8_t second) : m_hour(hour), m_minute(minute), m_second(second) {};

            std::string toString() override;

            void u_press() override;

            void u_increase(uint16_t steps) override;

            void u_decrease(uint16_t steps) override;

            bool isEntered() override;

        private:
            uint8_t m_entered = 0;
            uint8_t m_hour, m_minute, m_second;
        };

    } // floatpump
} // menu

#endif //FLOATPUMP_MENU_ENTRY_TYPE_TIME_H
