//
// Created by robtor on 05.01.23.
//

#include "Menu_Entry_Type_Percent.h"

std::string floatpump::menu::Menu_Entry_Type_Percent::toString() {
    if(m_entered) {
        return std::string("# " + std::to_string(m_value) + "%");
    } else {
        return std::string("  " + std::to_string(m_value) + "%");
    }
}

void floatpump::menu::Menu_Entry_Type_Percent::u_press() {
    m_entered = !m_entered;
}

void floatpump::menu::Menu_Entry_Type_Percent::u_increase(uint16_t steps) {
    if(m_value < 100)
        m_value++;
}

void floatpump::menu::Menu_Entry_Type_Percent::u_decrease(uint16_t steps) {
    if(m_value > 0) {
        m_value--;
    }
}

bool floatpump::menu::Menu_Entry_Type_Percent::isEntered() {
    return m_entered;
}
