//
// Created by robtor on 09.12.22.
//

#ifndef FLOATPUMP_MENU_ENTRY_DELEGATE_H
#define FLOATPUMP_MENU_ENTRY_DELEGATE_H

#include <string>

namespace floatpump {
    namespace menu {


        class Menu_Entry_Type_Delegate {
        public:
             virtual std::string toString() = 0;
             virtual void u_press() = 0;
             virtual void u_increase(uint16_t steps = 1) = 0;
             virtual void u_decrease(uint16_t steps = 1) = 0;
             virtual bool isEntered() = 0;
        };

    } // floatpump
} // menu

#endif //FLOATPUMP_MENU_ENTRY_DELEGATE_H
