//
// Created by robtor on 04.01.23.
//

#ifndef FLOATPUMP_MENU_ENTRY_TYPE_NUMERIC_H
#define FLOATPUMP_MENU_ENTRY_TYPE_NUMERIC_H

#include <string>
#include "Menu_Entry_Type_Delegate.h"

namespace floatpump {
    namespace menu {

        class Menu_Entry_Type_Numeric : public Menu_Entry_Type_Delegate {
        public:
            std::string toString() override;

            void u_press() override;

            void u_increase(uint16_t steps) override;

            void u_decrease(uint16_t steps) override;

            bool isEntered() override;

        private:
            uint16_t m_value = 0;
            bool m_entered = false;
        };

    } // floatpump
} // menu

#endif //FLOATPUMP_MENU_ENTRY_TYPE_NUMERIC_H
