//
// Created by robtor on 04.01.23.
//

#include "Menu_Entry_Type_Numeric.h"

namespace floatpump {
    namespace menu {
        std::string Menu_Entry_Type_Numeric::toString() {
            if(m_entered) {
                return "# " + std::to_string(m_value);
            } else {
                return "  " + std::to_string(m_value);
            }
        }

        void Menu_Entry_Type_Numeric::u_press() {
            m_entered = !m_entered;
        }

        void Menu_Entry_Type_Numeric::u_increase(uint16_t steps) {
            m_value++;
        }

        void Menu_Entry_Type_Numeric::u_decrease(uint16_t steps) {
            m_value--;
        }

        bool Menu_Entry_Type_Numeric::isEntered() {
            return m_entered;
        }
    } // floatpump
} // menu